Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bmserv.model
Class Tagging

    java.lang.Object
      bmserv.model.Tagging

    public class Tagging

extends java.lang.Object

Bean JAXB qui implemente le modele de Tagging. Un `Tagging` correspond à une action de tagging.
C'est à dire au moment précis où un utilisateur associe un `Tag` avec un `Bookmark`.

Author:
  ndelafor

Constructor Summary
`Tagging()` Constructeur vide pour JAXB.
`Tagging(java.lang.String date, java.lang.String authorid, java.lang.String bmid, java.lang.String tagid)` Creation complete d'un tagging.

Method Summary
`java.lang.String` | `getAuthorId()` Getter sur l'ID de l'auteur
`java.lang.String` | `getBmId()` Getter sur l'ID du Bookmark
`java.lang.String` | `getDate()` Getter sur la date a laquelle le tagging a ete cree
`java.lang.String` | `getId()` Getter sur l'ID du Tagging
`java.lang.String` | `getTagId()` Getter sur l'ID du Tag
`void` | `setAuthorId(java.lang.String authorid)`
`void` | `setBmId(java.lang.String bmid)`
`void` | `setTagId(java.lang.String tagid)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tagging

    public Tagging()

  Constructeur vide pour JAXB.

### Tagging

    public Tagging(java.lang.String date,
                   java.lang.String authorid,
                   java.lang.String bmid,
                   java.lang.String tagid)

  Creation complete d'un tagging.

  Parameters:
    `date` - chaine au format `GregorianCalendar` contenant la date a laquelle le `Tag` a ete associe au `Bookmark`.
    `authorid` - ID du `User` a l'origine de l'association Tag/Bookmark
    `bmid` - ID du `Bookmark`
    `tagid` - ID du `Tag`

Method Detail

### getId

    public java.lang.String getId()

  Getter sur l'ID du Tagging

  Returns:
    l'ID du Tagging

### getTagId

    public java.lang.String getTagId()

  Getter sur l'ID du Tag

  Returns:
    l'ID du Tag

### getBmId

    public java.lang.String getBmId()

  Getter sur l'ID du Bookmark

  Returns:
    l'ID du Bookmark

### getAuthorId

    public java.lang.String getAuthorId()

  Getter sur l'ID de l'auteur

  Returns:
    l'ID de l'auteur

### getDate

    public java.lang.String getDate()

  Getter sur la date a laquelle le tagging a ete cree

  Returns:
    une chaine au format `GregorianCalendar` contenant la date a laquelle le tagging a ete cree.

### setTagId

    public void setTagId(java.lang.String tagid)

### setBmId

    public void setBmId(java.lang.String bmid)

### setAuthorId

    public void setAuthorId(java.lang.String authorid)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD